What are the iOS Versions Supported by TruckLogics?
163 views | Last modified 12/15/2022 1:01:08 AM EST | Added by TruckLogics Team

Applicable To
Fleet Managers Drivers Leased Operators Owner Operators Brokers IFTA Reporting

As part of our measures towards ensuring our application’s usability, TruckLogics will no longer support devices with iOS version 14 and versions older than that.


Supported Versions:

You can use TruckLogics mobile app only on devices with the following iOS versions:

  • iOS 15
  • iOS 16


Installation and Bug Fixes:

  • You will not be able to download the TruckLogics app from devices with unsupported iOS versions.
  • If you already have the TruckLogics app, you cannot install any latest updates until you update the device to the supported iOS versions. 
  • Also, TruckLogics will not fix any bugs and crashes that occur in unsupported devices.


Note: We recommend you keep the most recent versions of the TruckLogics mobile app. There may be fixes in the new version for any issues you may have faced with an older version.

Was this helpful? Yes No

Sign Up for a
FREE TruckLogics Account!

Register Now

Returning User? Sign in

Couldn't find what you
are looking for?

Contact Us

(704) 234-6946 [email protected]